Bug 90515 - CHART: Disabling movement of the chart while in edit mode
Summary: CHART: Disabling movement of the chart while in edit mode
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2015-04-08 12:29 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-11 12:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-08 12:29:17 UTC
While in chart edit mode, a chart can be moved around in the document but this movement is not recorded as a chart edit (meaning pressing the undo button in edit mode wont move the chart back to its previous location), it is recorded as an underlying launch application edit, so this functionality should be removed.
Comment 1 raal 2015-04-10 20:00:03 UTC
Or functionality should be repaired? After move in edit mode the undo button  should move the chart back to its previous location.
Comment 2 Yousuf Philips (jay) (retired) 2015-04-10 20:02:51 UTC
(In reply to raal from comment #1)
> Or functionality should be repaired? After move in edit mode the undo button
> should move the chart back to its previous location.

Positioning of the chart within a document is not a property of a chart, so it wouldnt be possible for the undo button to change back its position while in edit mode.
Comment 3 raal 2015-04-11 18:34:28 UTC
Please don't delete this feature.
When I create chart, then it's created in edit mode and I can immediately moving chart.
Comment 4 Yousuf Philips (jay) (retired) 2015-04-11 20:48:36 UTC
(In reply to raal from comment #3)
> Please don't delete this feature.
> When I create chart, then it's created in edit mode and I can immediately
> moving chart.

I assume you are creating charts in modules other than Calc, as after the insert chart wizard in Calc, you are not in edit mode.
Comment 5 raal 2015-04-12 06:31:46 UTC
(In reply to Jay Philips from comment #4)
> (In reply to raal from comment #3)
> 
> I assume you are creating charts in modules other than Calc, as after the
> insert chart wizard in Calc, you are not in edit mode.

I mean Calc: select data, click icon chart, click Finish, I'm in edit mode. Chart is inserted tight beside data, usually I want to move it.
Comment 6 Yousuf Philips (jay) (retired) 2015-04-12 07:04:01 UTC
(In reply to raal from comment #5)
> I mean Calc: select data, click icon chart, click Finish, I'm in edit mode.
> Chart is inserted tight beside data, usually I want to move it.

I guess i was mistaken the it isnt in edit mode after leaving the wizard. Setting to ux-advise to get feedback from others.
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:26:54 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-12-11 12:08:05 UTC
Moving a newly added chart in Writer is undoable unlike modifications to the chart properties such as bar color, while in Calc none is taken into the undo stack. So I agree with Raal that we rather should fix this issue than restricting the user workflow. => WONTFIX